__gnu_pbds::detail::rebind_traits< _Alloc, T > Struct Template Reference
Extensions » Policy-Based Data Structures » Traits

`#include <types_traits.hpp>`

## Public Types

using | const_reference
using | reference

## Detailed Description

template<typename _Alloc, typename T>
struct __gnu_pbds::detail::rebind_traits< _Alloc, T >

Consistent API for accessing allocator-related types.

Definition at line 137 of file types_traits.hpp.

## Member Typedef Documentation

## const_reference

template<typename _Alloc, typename T>

using __gnu_pbds::detail::rebind_traits< _Alloc, T >::const_reference

Definition at line 142 of file types_traits.hpp.

## reference

template<typename _Alloc, typename T>

using __gnu_pbds::detail::rebind_traits< _Alloc, T >::reference

Definition at line 141 of file types_traits.hpp.

The documentation for this struct was generated from the following file:

- types_traits.hpp